<?xml version='1.0' encoding='ISO-8859-1' ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<log4j:configuration>

    <appender name="PMP_FILE" class="org.apache.log4j.RollingFileAppender">
      <errorHandler class="org.apache.log4j.helpers.OnlyOnceErrorHandler"/>
      <param name="File" value="pmptest-log.log"/>
      
      <param name="MaxFileSize" value="5000KB"/>
      <param name="MaxBackupIndex" value="10"/>

      <layout class="org.apache.log4j.PatternLayout">
          <param name="ConversionPattern"
              value="%d{dd MMM yyyy HH:mm:ss,SSS} [%-5p] %c %x - %m%n"/>
      </layout>
    </appender>

    <appender name="PERF_FILE" class="org.apache.log4j.RollingFileAppender">
      <param name="File" value="pmp-perf-log.csv"/>
      <param name="MaxFileSize" value="5000KB"/>
      <param name="MaxBackupIndex" value="10"/>

      <layout class="org.apache.log4j.PatternLayout">
          <param name="ConversionPattern"
              value="%d{dd MMM yyyy HH:mm:ss,SSS} [%-5p] %c %x - %m%n"/>
      </layout>
    </appender>

    <!--appender name="HB8_FILE" class="org.apache.log4j.RollingFileAppender">
      <param name="File" value="hb8-log.log"/>
      <param name="MaxFileSize" value="5000KB"/>
      <param name="MaxBackupIndex" value="10"/>

      <layout class="org.apache.log4j.PatternLayout">
          <param name="ConversionPattern"
              value="%d{dd MMM yyyy HH:mm:ss,SSS} [%-5p] %c %x - %m%n"/>
      </layout>
    </appender-->    


    <logger name="com.pnx" additivity="true">    
        <level value="ALL"/>
          
        <appender-ref ref="PMP_FILE"/>
        
    </logger>
     
    <!--logger name="org.hibernate">
        <level        value="TRACE"/>
        <appender-ref ref="HB8_FILE"/>
    </logger-->    

    <!--<logger name="com.pnx.pmp.common.log.PerformanceWatch" additivity="false">
        <level value="DEBUG"/>
        <appender-ref ref="PERF_FILE"/>
    </logger>-->

    <!--
        <logger name="net.sf.hibernate.SQL">
            <level        value="DEBUG"/>
            <appender-ref ref="STDOUT"/>
        </logger>
    -->

    <!--
        <logger name="log4j.logger.org.apache">
            <level        value="WARN"/>
            <appender-ref ref="STDOUT"/>
        </logger>        

        <logger name="org.springframework">
            <level        value="INFO"/>
            <appender-ref ref="STDOUT"/>
        </logger>

        <logger name="net.sf.hibernate">
            <level        value="INFO"/>
            <appender-ref ref="STDOUT"/>
        </logger>

        <logger name="com.opensymphony.webwork">
            <level        value="INFO"/>
            <appender-ref ref="STDOUT"/>
        </logger>

        <logger name="org.apache.velocity">
            <level        value="INFO"/>
            <appender-ref ref="STDOUT"/>
        </logger>
    -->

    <!--
        Leave root definition commented !
        When uncommented it causes problems on JBoss.
    -->
	<!--<root>-->
		<!--<priority value="ERROR"/>-->
        <!--<appender-ref ref="FILE"/>-->
	<!--</root>-->

</log4j:configuration>
